#
# Dr. Higgins v0.95 
# Intelligent Vocabulary Quiz 
# to help you with your self-study of a foreign language
# 
# Copyright (C) 2004-2005 Martijn van Iersel 
# 
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
#
#
package MyCon;

use strict;
use warnings;

use if ($^O eq 'MSWin32'), "Win32::Console";

sub new()
{
   my $class = shift;
   my $self = [];
   return bless ($self, $class);    
}

sub Cls($)
{
   my $color = shift;
   # print "\n" x 40;
   print "\e[2J";
}

sub Cursor($$)
{
   my $self = shift;
   my $x = shift;
   my $y = shift;
   print "\e[$y;${x}H";
}

sub Attr()
{
# ignore...
}


    	

sub con_maker()
{
    my $con;
    if ($^O eq 'MSWin32')
    {

	$con = Win32::Console->new(STD_OUTPUT_HANDLE);
    	#~ $con->OutputCP(850); # set code page to iso-latin-1
    	#~ $con->InputCP(850); # set code page to iso-latin-1
    }
    else
    {
    	$con = new MyCon; 
    }
    return $con;
}


1;
